#include<iostream>
#include<cmath>
using namespace std;
int main ()
{
    int i,n,k,p,b=0;
    cin>>n>>k;
    int br[2*n];
    int x[n];
    for(p=0;p<=2*n;p++)
    {
        br[p]=0;
    }
    for(i=0;i<n;i++)
    {
        cin>>x[i];
    }
    for(i=0;i<n;i++)
    {
        if(x[i]==0)
            p=0;
        else
        {
            if(x[i]<0)
                p=abs(x[i]);
            else
                p=n+x[i];
        }
        br[p]++;
    }
    for(p=0;p<=2*n;p++)
    {
        if(br[p]>=k)
            b++;
    }
    cout<<b<<endl;
    for(p=0;p<=2*n;p++)
    {

        if(br[p]>=k)
        {
            if(p<n)
                cout<<-1*p<<' ';
            if(p>n)
                cout<<p-n<<' ';
        }

    }





    return 0;
}